package co.yixiang.yshop.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author hupeng
 * 商城常用枚举
 */
@Getter
@AllArgsConstructor
public enum ShopCommonEnum {

    STORE_MODE_LOCAL(1, "本地存储"),
    STORE_MODE_CLOUD(2, "云存储"),

    ENABLE(1, "开启"),
    DISABLE(2, "关闭"),

    EXTRACT_MINUS_NOT_PASS(-1, "提现未通过"),
    EXTRACT_UNDER_REVIEW(0, "提现审核中"),
    EXTRACT_FINISHED(1, "提现已完成"),

    UNFINISHED(0, "未完成"),
    FINISHED(1, "已完成"),

    NOT_FOREVER(0, "不是永久"),
    FOREVER(1, "永久"),

    AGREE(1, "同意"),
    REFUSED(2, "拒绝"),

    LIMIT(0, "限制"),
    UN_LIMIT(1, "不限制"),

    NO(0, "否"),
    YES(1, "是"),

    DEFAULT(0, "默认"),
    NEW(1, "新品"),

    IS_SUB_0(0, "不单独分佣"),
    IS_SUB_1(1, "单独分佣"),


    GRADE_ONE(0, "一级推荐人"),
    GRADE_TWO(1, "二级推荐人"),

    UN_REPLY(0, "未回复"),
    REPLIED(1, "已回复"),

    ADD_1(1, "增加"),
    ADD_2(2, "减少"),

    DELETE_0(0, "未删除"),
    DELETE_1(1, "已删除"),

    NO_SHOW(0, "不显示"),
    SHOW(1, "显示"),

    NON_DEFAULT(0, "不是默认"),
    IS_DEFAULT(1, "默认");


    private final Integer value;
    private final String desc;
}
